export const sortKeys = (keys: string[]): string[] => {
    const priority: { [key: string]: number } = {
        Control: 1,
        Meta: 2,
        Alt: 3,
        Shift: 4,
    };

    return [...keys].sort((a, b) => {
        const aPriority = priority[a] || 999;
        const bPriority = priority[b] || 999;
        return aPriority - bPriority;
    });
};
